#import <Cocoa/Cocoa.h>


@interface Movie : NSObject {
	NSString *title;
	NSNumber *grossSales;
	int rating;
	int year;
}

- (id)initWithTitle:(NSString *)newTitle
		  andRating:(int)newRating
			andYear:(int)newYear;

@property(assign) NSString *title;
@property(assign) int rating;
@property(assign) int year;

@property(retain) NSNumber *grossSales;

- (NSString *)summary;

- (void)play;

@end
