#import "Movie.h"


@implementation Movie

@synthesize title;
@synthesize grossSales;
@synthesize rating;
@synthesize year;

- (id)initWithTitle:(NSString *)newTitle
		  andRating:(int)newRating 
			andYear:(int)newYear {
	self = [super init];
	if(nil != self) {
		self.title = newTitle;
		self.rating = newRating;
		self.year = newYear;
	}
	return self;
}

- (NSString *)summary {
	NSString *summary = [[NSString alloc] initWithFormat:@"%@ - %@", [self title], [self grossSales]];
	[summary autorelease];
	return summary;
}

- (NSString *)description {
	return [NSString stringWithFormat:@"%@ - %d Stars produced %d", 
			self.title, self.rating, self.year];
}

- (void)setTitle:(NSString *)newTitle {
	title = [newTitle capitalizedString];
}

- (void)play {
	NSLog(@"Playing %@", self);
}

- (void)dealloc {
	NSLog(@"dealloc called");
	[grossSales release];
	[super dealloc];
}

@end
